module rgb2ycbcr_test();

	reg clk;
	reg rst_n;
	reg [7:0] rgb888_r;
	reg [7:0] rgb888_g;
	reg [7:0] rgb888_b;
	wire [7:0] img_y;
	wire [7:0] img_cb;
	wire [7:0] img_cr;

	//----Code starts here: integrated by Robei-----
	initial begin
			clk = 'd0;
			rst_n = 'd0;
			#50;
			@(posedge clk) rst_n = 'd1;
			#200;
			rgb888_r = 8'hFF;
			rgb888_g = 8'hFF;
			rgb888_b = 8'h00;
			#2000;		
			$finish;
	end
	
	always begin
			#1;
			clk <= ~clk;
	end
	
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/Algorithm_type/RGB888_to_YCbCr/rgb2ycbcr_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	rgb2ycbcr rgb2ycbcr1(
		.clk(clk),
		.rst_n(rst_n),
		.rgb888_r(rgb888_r),
		.rgb888_g(rgb888_g),
		.rgb888_b(rgb888_b),
		.img_y(img_y),
		.img_cb(img_cb),
		.img_cr(img_cr));

endmodule    //rgb2ycbcr_test

